minetest.register_node("amogus_blocks:ladder_steel", {
	description = "Ladder",
	drawtype = "signlike",
	tiles = {"ladder.png"},
	paramtype = "light",
	paramtype2 = "wallmounted",
	sunlight_propagates = true,
	walkable = false,
	climbable = true,
	is_ground_content = false,
	selection_box = {
		type = "wallmounted",
	},
	groups = {cracky = 2},
})

minetest.register_node("amogus_blocks:floor", {
	description = "Floor",
	tiles = {"floor.png"},
	
	drop = 'amogus_blocks:floor',
	legacy_mineral = true, groups = {cracky=3, stone=1},
})

minetest.register_node("amogus_blocks:tv", {
	description = "CRT TV",
	tiles = {
		"PC2.png", 
		"PC2.png",
		"PC2.png",
		"PC2.png",
		"PC2.png",
		"PC.png"
	},
	paramtype2 = "facedir",
	drop = 'amogus_blocks:amogus_blocks', groups = {cracky=3, stone=1},
})

minetest.register_node("amogus_blocks:bricks", {
	description = "Bricks",
	tiles = {"Bricks.png"},
	
	drop = 'amogus_blocks:grey_bricks', groups = {cracky=3, stone=1},
})
minetest.register_node("amogus_blocks:grey_bricks", {
	description = "Bricks 2",
	tiles = {"Bricks2.png"}, groups = {cracky=3, stone=1},
	
	drop = 'amogus_blocks:grey_bricks', groups = {cracky=3, stone=1},
})
minetest.register_node("amogus_blocks:planks", {
	description = "Planks",
	tiles = {"Planks.png"},
	
	drop = 'amogus_blocks:planks', groups = {cracky=3, stone=1},
})
minetest.register_node("amogus_blocks:purpleblock", {
	description = "Purple Block",
	tiles = {"purpleblock.png"},
	
	drop = 'amogus_blocks:purpleblock', groups = {cracky=3, stone=1},
})
minetest.register_node("amogus_blocks:purpleblock", {
	description = "Purple Block",
	tiles = {"purpleblock.png"},
	
	drop = 'amogus_blocks:purpleblock', groups = {cracky=3, stone=1},
})
minetest.register_node("amogus_blocks:redblock", {
	description = "Red Block",
	tiles = {"redblock.png"},
	
	drop = 'amogus_blocks:redblock', groups = {cracky=3, stone=1},
})

minetest.register_node("amogus_blocks:glass", {
	description = "Glass",
	tiles = {"glass.png"},
	
	drop = 'amogus_blocks:glass', groups = {cracky=3, stone=1},
})
minetest.register_node("amogus_blocks:glowing_block", {
	description = "Glowing Block",
	tiles = {"glowing_block.png"},
	
	drop = 'amogus_blocks:glowing_block', groups = {cracky=3, stone=1},
	light_source = 14
})

minetest.register_node("amogus_blocks:transparent", {
    description = "Transparent",
    drawtype = "glasslike",
    tiles = {"glass.png"},
    paramtype = "light",
    is_ground_content = false,
    sunlight_propagates = true,
    groups = {cracky=3,oddly_breakable_by_hand=3},
})

minetest.register_node("amogus_blocks:grass", {
    description = "Grass",
    tiles = {
		"g2.png", 
		"d.png",
		"g.png",
		"g.png",
		"g.png",
		"g.png"
	},
    
    drop = 'amogus:grass', groups = {cracky=3, stone=1},
})

minetest.register_node("amogus_blocks:wood", {
    description = "Wood",
    tiles = {"wood.png"},
    
    drop = 'amogus:wood', groups = {cracky=3, stone=1},
})

-- add water with blue color without texture
minetest.register_node("amogus_blocks:water", {
    description = "Water",
    drawtype = "liquid",
    tiles = {
        {
            name = "water.png",
            animation = {
                type = "vertical_frames",
                aspect_w = 16,
                aspect_h = 16,
                length = 2.0,
            },
        },
    },
    special_tiles = {
        -- New-style water source material (mostly unused)
        {
            name = "water.png",
            backface_culling = false,
            animation = {
                type = "vertical_frames",
                aspect_w = 16,
                aspect_h = 16,
                length = 2.0,
            },
        },
        -- New-style flowing water material (mostly unused)
        {
            name = "water.png",
            backface_culling = true,
            animation = {
                type = "vertical_frames",
                aspect_w = 16,
                aspect_h = 16,
                length = 0.8,
            },
        },
    },
    alpha = 160,
    paramtype = "light",
    walkable = false,
    pointable = false,
    diggable = false,
    buildable_to = true,
    drowning = 1,
    liquidtype = "source",
    liquid_alternative_flowing = "amogus_blocks:water",
    liquid_alternative_source = "amogus_blocks:water",
    liquid_viscosity = 1,
    post_effect_color = {a = 103, r = 30, g = 60, b = 90},
    groups = {water = 3, liquid = 3, puts_out_fire = 1},
})
minetest.register_alias("mapgen_dirt", "amogus_blocks:grass")
minetest.register_alias("mapgen_stone", "amogus_blocks:floor")